Bug 1679975 (CVE-2019-8955) - CVE-2019-8955 tor: memory exhaustion in the KIST cell scheduler resulting in denial of service
Summary: CVE-2019-8955 tor: memory exhaustion in the KIST cell scheduler resulting in ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2019-8955
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1679976 1679977
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-22 11:49 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:08 UTC (History)
6 users (show)

Fixed In Version: tor 0.3.5.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:48:45 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-02-22 11:49:27 UTC
In Tor before 0.3.3.12, 0.3.4.x before 0.3.4.11, 0.3.5.x before 0.3.5.8, and 0.4.x before 0.4.0.2-alpha, remote denial of service against Tor clients and relays can occur via memory exhaustion in the KIST cell scheduler.

References:
https://blog.torproject.org/new-releases-tor-0402-alpha-0358-03411-and-03312 
https://trac.torproject.org/projects/tor/ticket/29168

Comment 1 Dhananjay Arunesh 2019-02-22 11:55:21 UTC
Created tor tracking bugs for this issue:

Affects: fedora-all [bug 1679976]

Comment 2 Dhananjay Arunesh 2019-02-22 11:55:42 UTC
Created tor tracking bugs for this issue:

Affects: epel-7 [bug 1679977]

Comment 3 Product Security DevOps Team 2019-06-10 10:48:45 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.